{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"common.CurrentTask":{"type":"object","description":"Asynchronous operation currently running","properties":{"errors":{"type":"array","description":"Errors that occurred on the task","nullable":true,"items":{"$ref":"#/components/schemas/common.TaskError"},"readOnly":true},"id":{"type":"string","description":"Identifier of the current task","format":"uuid","readOnly":true},"link":{"type":"string","description":"Link to the task details","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/common.CurrentTaskStatusEnum"}],"description":"Current global status of the current task","nullable":true,"readOnly":true},"type":{"type":"string","description":"Type of the current task","readOnly":true}}},"common.CurrentTaskStatusEnum":{"type":"string","description":"Current status of a task. A task in ERROR cannot be retried without your inputs. PENDING tasks will be executed as soon as possible. A RUNNING task is currently executing your original request. SCHEDULED is used for tasks that will be executed in the future.","enum":["ERROR","PENDING","RUNNING","SCHEDULED","WAITING_USER_INPUT"]},"common.ResourceStatusEnum":{"type":"string","description":"Current status of a resource","enum":["CREATING","CREATION_PLANNED","DELETING","ERROR","OUT_OF_SYNC","READY","SUSPENDED","UNKNOWN","UPDATING"]},"common.TaskError":{"type":"object","description":"Errors that occurred on the task","properties":{"message":{"type":"string","description":"Error description","readOnly":true}}},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"managedCMS.ApplicationPassword":{"type":"object","description":"Application password created on a website or a dashboard. The password is not stored and cannot be retrieved again.","properties":{"login":{"type":"string","description":"Login of the user the application password belongs to","readOnly":true},"password":{"type":"string","description":"Application password to authenticate as `login` on the CMS API, returned only in this response","format":"password","readOnly":true}}},"managedCMS.Backup":{"type":"object","description":"Backup of a website, covering its files and its database, with its download links","properties":{"databaseDownloadURL":{"type":"string","description":"URL to download the database of the backup, null while the backup is being created","nullable":true,"readOnly":true},"expiresAt":{"type":"string","description":"Date after which the backup is deleted, null while the backup is being created","nullable":true,"format":"date-time","readOnly":true},"filesDownloadURL":{"type":"string","description":"URL to download the files of the backup, null while the backup is being created","nullable":true,"readOnly":true},"id":{"type":"string","description":"Unique identifier of the backup","format":"uuid","readOnly":true},"sizeBytes":{"type":"integer","description":"Size of the backup, in bytes, null while the backup is being created","nullable":true,"readOnly":true},"startedAt":{"type":"string","description":"Date the backup was triggered at","format":"date-time","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/managedCMS.BackupStatusEnum"}],"description":"Status of the backup","readOnly":true},"type":{"allOf":[{"$ref":"#/components/schemas/managedCMS.BackupTypeEnum"}],"description":"Whether the backup was taken automatically or requested by the customer","readOnly":true}}},"managedCMS.BackupStatusEnum":{"type":"string","description":"Status of a backup","enum":["CREATING","READY"]},"managedCMS.BackupTypeEnum":{"type":"string","description":"How a backup was triggered","enum":["AUTOMATIC","MANUAL"]},"managedCMS.CMSEnum":{"type":"string","description":"Available content management systems","enum":["WORDPRESS"]},"managedCMS.CMSSpecific.WebsiteCreationTargetSpecCreation":{"type":"object","description":"Parameters specific to the chosen content management system","properties":{"wordpress":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CMSSpecific.WordPress.WebsiteCreationTargetSpecCreation"}],"description":"Specific parameters to create a WordPress website","nullable":true}}},"managedCMS.CMSSpecific.WebsiteImportCheckResult":{"type":"object","description":"Data specific to the website's content management system","properties":{"wordpress":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CMSSpecific.WordPress.WebsiteImportCheckResult"}],"description":"Data specific to a WordPress website import check","nullable":true,"readOnly":true}}},"managedCMS.CMSSpecific.WebsiteTargetSpecCreation":{"type":"object","description":"Parameters specific to the chosen content management system","properties":{"wordpress":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CMSSpecific.WordPress.WebsiteTargetSpecCreation"}],"description":"Specific parameters to create a WordPress website","nullable":true,"readOnly":true}}},"managedCMS.CMSSpecific.WebsiteTargetSpecImport":{"type":"object","description":"Data specific to the website's content management system","properties":{"wordpress":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CMSSpecific.WordPress.WebsiteTargetSpecImport"}],"description":"Data specific to a WordPress website import","nullable":true,"readOnly":true}}},"managedCMS.CMSSpecific.WordPress.LanguageEnum":{"type":"string","description":"Available languages for WordPress websites","enum":["de_DE","en_GB","en_US","es_ES","fr_CA","fr_FR","it_IT","pl_PL","pt_PT"]},"managedCMS.CMSSpecific.WordPress.WebsiteCreationTargetSpecCreation":{"type":"object","description":"Part of target specification to create a WordPress website","properties":{"language":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CMSSpecific.WordPress.LanguageEnum"}],"description":"Language to configure the website with","nullable":true}}},"managedCMS.CMSSpecific.WordPress.WebsiteImportCheckResult":{"type":"object","description":"Data specific to a WordPress website import check","properties":{"plugins":{"type":"array","description":"Plugins installed on the source website","items":{"$ref":"#/components/schemas/managedCMS.CMSSpecific.WordPress.WebsiteImportPlugin"},"readOnly":true},"themes":{"type":"array","description":"Themes installed on the source website","items":{"$ref":"#/components/schemas/managedCMS.CMSSpecific.WordPress.WebsiteImportTheme"},"readOnly":true}}},"managedCMS.CMSSpecific.WordPress.WebsiteImportPlugin":{"type":"object","description":"Information about a WordPress plugin","properties":{"enabled":{"type":"boolean","description":"Whether the plugin is enabled or not","readOnly":true},"name":{"type":"string","description":"Name of the plugin","readOnly":true},"version":{"type":"string","description":"Version of the plugin","readOnly":true}}},"managedCMS.CMSSpecific.WordPress.WebsiteImportSelection":{"type":"object","description":"Selection of elements to import from a source WordPress website","properties":{"comments":{"type":"boolean","description":"Import comments","nullable":true,"readOnly":true},"media":{"type":"boolean","description":"Import medias","nullable":true,"readOnly":true},"pages":{"type":"boolean","description":"Import pages","nullable":true,"readOnly":true},"plugins":{"type":"array","description":"Plugins to import","nullable":true,"items":{"$ref":"#/components/schemas/managedCMS.CMSSpecific.WordPress.WebsiteImportPlugin"},"readOnly":true},"posts":{"type":"boolean","description":"Import posts","nullable":true,"readOnly":true},"tags":{"type":"boolean","description":"Import tags, categories, etc.","nullable":true,"readOnly":true},"themes":{"type":"array","description":"Themes to import","items":{"$ref":"#/components/schemas/managedCMS.CMSSpecific.WordPress.WebsiteImportTheme"},"readOnly":true},"users":{"type":"boolean","description":"Import users","nullable":true,"readOnly":true},"wholeDatabase":{"type":"boolean","description":"Import the whole database","readOnly":true}}},"managedCMS.CMSSpecific.WordPress.WebsiteImportTheme":{"type":"object","description":"Information about a WordPress theme","properties":{"active":{"type":"boolean","description":"Whether the theme is active or not","readOnly":true},"name":{"type":"string","description":"Name of the theme","readOnly":true},"version":{"type":"string","description":"Version of the theme","readOnly":true}}},"managedCMS.CMSSpecific.WordPress.WebsiteTargetSpecCreation":{"type":"object","description":"Part of target specification of a website describing current WordPress creation","properties":{"language":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CMSSpecific.WordPress.LanguageEnum"}],"description":"Which language to configure on the website","nullable":true,"readOnly":true}}},"managedCMS.CMSSpecific.WordPress.WebsiteTargetSpecImport":{"type":"object","description":"Data specific to a WordPress website import","properties":{"selection":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CMSSpecific.WordPress.WebsiteImportSelection"}],"description":"Selection of elements to import","nullable":true,"readOnly":true}}},"managedCMS.Domain":{"type":"object","description":"A domain of a website","properties":{"fqdn":{"type":"string","description":"Fully Qualified Domain Name of the domain"}}},"managedCMS.ResetTechnicalPasswordBody":{"type":"object","description":"Body to reset a technical (SFTP or PhpMyAdmin) password of a website","properties":{"password":{"type":"string","description":"New password (9-30 alphanumeric characters, with at least one uppercase, one lowercase and one digit)","format":"password"}},"required":["password"]},"managedCMS.UpdateCurrentState":{"type":"object","description":"Current state of an update","properties":{"cmsVersion":{"type":"string","description":"Target CMS version of the update","nullable":true,"readOnly":true},"dryRun":{"allOf":[{"$ref":"#/components/schemas/managedCMS.UpdateCurrentStateDryRun"}],"description":"Current State of the dry run","nullable":true,"readOnly":true},"plannedAt":{"type":"string","description":"Planned date for the version update","nullable":true,"format":"date-time","readOnly":true},"runtimeVersion":{"type":"string","description":"Target runtime version of the update","nullable":true,"readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/managedCMS.UpdateStatusEnum"}],"description":"Status of the update","readOnly":true}}},"managedCMS.UpdateCurrentStateDryRun":{"type":"object","description":"Current State of the dry run","properties":{"date":{"type":"string","description":"Date of the dry run","nullable":true,"format":"date-time","readOnly":true},"result":{"type":"string","description":"Message associated with the update, for example error or progress","readOnly":true},"url":{"type":"string","description":"Temporary URL of the website clone in case of dry run failure","nullable":true,"readOnly":true}}},"managedCMS.UpdateStatusEnum":{"type":"string","description":"Status of an update","enum":["TEST_DOING","TEST_DONE","TEST_FAILED","TEST_IMPOSSIBLE","UPDATE_DOING","UPDATE_DONE"]},"managedCMS.UpdateTargetSpec":{"type":"object","description":"Target specification of an update","properties":{"cmsVersion":{"type":"string","description":"Target CMS version of the update","nullable":true},"dryRun":{"allOf":[{"$ref":"#/components/schemas/managedCMS.UpdateTargetSpecDryRun"}],"description":"Target specification of the dry run","nullable":true},"plannedAt":{"type":"string","description":"Planned date for the version update","nullable":true,"format":"date-time"},"runtimeVersion":{"type":"string","description":"Target runtime version of the update","nullable":true}}},"managedCMS.UpdateTargetSpecDryRun":{"type":"object","description":"Target specification to dry run a website update","properties":{"date":{"type":"string","description":"Date of the dry run","nullable":true,"format":"date-time"}}},"managedCMS.Website":{"type":"object","description":"Information about a website","properties":{"checksum":{"type":"string","description":"Computed hash used to control concurrent modification requests","readOnly":true},"currentState":{"allOf":[{"$ref":"#/components/schemas/managedCMS.WebsiteCurrentState"}],"description":"Current state of the website","readOnly":true},"currentTasks":{"type":"array","description":"Ongoing asynchronous tasks related to the website","items":{"$ref":"#/components/schemas/common.CurrentTask"},"readOnly":true},"id":{"type":"string","description":"Unique identifier of the website","format":"uuid","readOnly":true},"resourceStatus":{"allOf":[{"$ref":"#/components/schemas/common.ResourceStatusEnum"}],"description":"Website readiness in the system","readOnly":true},"targetSpec":{"allOf":[{"$ref":"#/components/schemas/managedCMS.WebsiteTargetSpec"}],"description":"Target specification of the website","nullable":true,"readOnly":true}}},"managedCMS.WebsiteCreationBody":{"type":"object","description":"Body to create, import or clone a website","properties":{"targetSpec":{"allOf":[{"$ref":"#/components/schemas/managedCMS.WebsiteCreationTargetSpec"}],"description":"Target specification of the website"}},"required":["targetSpec"]},"managedCMS.WebsiteCreationTargetSpec":{"type":"object","description":"Target specification to create, import or clone a website","properties":{"clone":{"allOf":[{"$ref":"#/components/schemas/managedCMS.WebsiteCreationTargetSpecClone"}],"description":"Target specification to clone an existing website of the same service","nullable":true},"creation":{"allOf":[{"$ref":"#/components/schemas/managedCMS.WebsiteCreationTargetSpecCreation"}],"description":"Target specification to create a website","nullable":true},"import":{"allOf":[{"$ref":"#/components/schemas/managedCMS.WebsiteCreationTargetSpecImport"}],"description":"Target specification to import a website","nullable":true}}},"managedCMS.WebsiteCreationTargetSpecClone":{"type":"object","description":"Part of target specification to clone a website","properties":{"sourceWebsiteId":{"type":"string","description":"Identifier of the website to clone, which must belong to the same service","format":"uuid"}},"required":["sourceWebsiteId"]},"managedCMS.WebsiteCreationTargetSpecCreation":{"type":"object","description":"Part of target specification to create a website","properties":{"adminLogin":{"type":"string","description":"Login to set when creating the administrator user"},"adminPassword":{"type":"string","description":"Password to set when creating the administrator user","format":"password"},"cms":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CMSEnum"}],"description":"Which content management system to install"},"cmsSpecific":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CMSSpecific.WebsiteCreationTargetSpecCreation"}],"description":"Parameters specific to the chosen content management system","nullable":true},"phpVersion":{"type":"string","description":"Which PHP version to use, latest by default. The set grows as new PHP releases are supported: retrieve the current one with GET /managedCMS/reference/supportedPHPVersions.","nullable":true}},"required":["adminLogin","adminPassword","cms"]},"managedCMS.WebsiteCreationTargetSpecImport":{"type":"object","description":"Part of target specification to import a website","properties":{"adminLogin":{"type":"string","description":"Login of the source website's admin interface"},"adminPassword":{"type":"string","description":"Password of the source website's admin interface","format":"password"},"adminURL":{"type":"string","description":"URL of the source website's admin interface"},"cms":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CMSEnum"}],"description":"Content management system of the source website"}},"required":["adminLogin","adminPassword","adminURL","cms"]},"managedCMS.WebsiteCurrentState":{"type":"object","description":"Current state of a website","properties":{"backups":{"type":"array","description":"Backups of the website, automatic and manual, being created or available, most recent first. Expired backups and backups being deleted are not listed. Download links are returned by the backupDownload route of the website. Null while the website is being created.","nullable":true,"items":{"$ref":"#/components/schemas/managedCMS.WebsiteCurrentStateBackup"},"readOnly":true},"cms":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CMSEnum"}],"description":"Content management system of the website","nullable":true,"readOnly":true},"cmsVersion":{"type":"string","description":"CMS version used by the website","nullable":true,"readOnly":true},"createdAt":{"type":"string","description":"Date of creation of the website","format":"date-time","readOnly":true},"databaseHost":{"type":"string","description":"Database hostname to connect to the website's database","nullable":true,"readOnly":true},"databasePort":{"type":"integer","description":"Database port to connect to the website's database","nullable":true,"readOnly":true},"defaultFQDN":{"type":"string","description":"Default technical FQDN of the website","nullable":true,"readOnly":true},"diskUsageBytes":{"type":"integer","description":"Current disk usage of the website in bytes","readOnly":true},"domains":{"type":"array","description":"Domains currently attached to the website, including the ones being detached","nullable":true,"items":{"$ref":"#/components/schemas/managedCMS.Domain"},"readOnly":true},"import":{"allOf":[{"$ref":"#/components/schemas/managedCMS.WebsiteCurrentStateImport"}],"description":"Information about the current website import, if exists","nullable":true,"readOnly":true},"phpMyAdminURL":{"type":"string","description":"PhpMyAdmin URL to manage the website's database","nullable":true,"readOnly":true},"phpMyAdminUsername":{"type":"string","description":"PhpMyAdmin login used to manage the website's database","nullable":true,"readOnly":true},"phpVersion":{"type":"string","description":"PHP version used by the website","nullable":true,"readOnly":true},"plannedUpdate":{"allOf":[{"$ref":"#/components/schemas/managedCMS.UpdateCurrentState"}],"description":"Current state of the planned update on the website, if any","nullable":true,"readOnly":true},"primaryFQDN":{"type":"string","description":"Primary FQDN of the website","nullable":true,"readOnly":true},"serviceId":{"type":"string","description":"Unique identifier of the service the website belongs to","format":"uuid","readOnly":true},"sftpHost":{"type":"string","description":"SFTP hostname to connect to the website's files","nullable":true,"readOnly":true},"sftpPort":{"type":"integer","description":"SFTP port to connect to the website's files","nullable":true,"readOnly":true},"sftpUsername":{"type":"string","description":"SFTP login used to connect to the website's files","nullable":true,"readOnly":true}}},"managedCMS.WebsiteCurrentStateBackup":{"type":"object","description":"Backup of a website, covering its files and its database","properties":{"expiresAt":{"type":"string","description":"Date after which the backup is deleted, null while the backup is being created","nullable":true,"format":"date-time","readOnly":true},"id":{"type":"string","description":"Unique identifier of the backup","format":"uuid","readOnly":true},"sizeBytes":{"type":"integer","description":"Size of the backup, in bytes, null while the backup is being created","nullable":true,"readOnly":true},"startedAt":{"type":"string","description":"Date the backup was triggered at","format":"date-time","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/managedCMS.BackupStatusEnum"}],"description":"Status of the backup","readOnly":true},"type":{"allOf":[{"$ref":"#/components/schemas/managedCMS.BackupTypeEnum"}],"description":"Whether the backup was taken automatically or requested by the customer","readOnly":true}}},"managedCMS.WebsiteCurrentStateImport":{"type":"object","description":"Current state of a website import","properties":{"checkResult":{"allOf":[{"$ref":"#/components/schemas/managedCMS.WebsiteImportCheckResult"}],"description":"Result of the import check","nullable":true,"readOnly":true}}},"managedCMS.WebsiteEditionBody":{"type":"object","description":"Body to edit a website","properties":{"targetSpec":{"allOf":[{"$ref":"#/components/schemas/managedCMS.WebsiteEditionTargetSpec"}],"description":"Target specification to edit a website"}}},"managedCMS.WebsiteEditionTargetSpec":{"type":"object","description":"Target specification to edit a website","properties":{"createBackupDate":{"type":"string","description":"Modify this to trigger a manual backup of the website, files and database. Cannot be combined with any other field.","nullable":true,"format":"date-time"},"deleteBackup":{"allOf":[{"$ref":"#/components/schemas/managedCMS.WebsiteEditionTargetSpecDeleteBackup"}],"description":"Set this to delete a manual backup of the website. Automatic backups cannot be deleted. Cannot be combined with any other field.","nullable":true},"domains":{"type":"array","description":"Domains attached to the website","nullable":true,"items":{"$ref":"#/components/schemas/managedCMS.Domain"}},"flushCDNDate":{"type":"string","description":"Modify this to trigger a flush of CDN of the website","nullable":true,"format":"date-time"},"phpMyAdminPassword":{"type":"string","description":"Set this to reset the website's PhpMyAdmin password (9-30 alphanumeric characters, with at least one uppercase, one lowercase and one digit)","nullable":true,"format":"password"},"plannedUpdate":{"allOf":[{"$ref":"#/components/schemas/managedCMS.UpdateTargetSpec"}],"description":"Modify this to trigger an update on the website, if any","nullable":true},"primaryFQDN":{"type":"string","description":"Modify the primary FQDN of the website","nullable":true},"resetDatabasePasswordDate":{"type":"string","description":"Modify this to trigger a reset of the website's database password","nullable":true,"format":"date-time"},"restoreBackup":{"allOf":[{"$ref":"#/components/schemas/managedCMS.WebsiteEditionTargetSpecRestoreBackup"}],"description":"Set this to restore a backup on the website, files and database together. Cannot be combined with any other field.","nullable":true},"sftpPassword":{"type":"string","description":"Set this to reset the website's SFTP password (9-30 alphanumeric characters, with at least one uppercase, one lowercase and one digit)","nullable":true,"format":"password"}}},"managedCMS.WebsiteEditionTargetSpecDeleteBackup":{"type":"object","description":"Part of target specification to delete a backup of a website","properties":{"backupId":{"type":"string","description":"Identifier of the backup to delete, which must be a manual backup of this website","format":"uuid"}},"required":["backupId"]},"managedCMS.WebsiteEditionTargetSpecRestoreBackup":{"type":"object","description":"Part of target specification to restore a backup on a website","properties":{"backupId":{"type":"string","description":"Identifier of the backup to restore, which must be a READY backup of this website","format":"uuid"}},"required":["backupId"]},"managedCMS.WebsiteImportCheckResult":{"type":"object","description":"Result of a website import check","properties":{"cmsSpecific":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CMSSpecific.WebsiteImportCheckResult"}],"description":"Data specific to the website's content management system","nullable":true,"readOnly":true}}},"managedCMS.WebsiteTargetSpec":{"type":"object","description":"Target specification of a website","properties":{"clone":{"allOf":[{"$ref":"#/components/schemas/managedCMS.WebsiteTargetSpecClone"}],"description":"Target specification of the clone this website originates from, if any","nullable":true,"readOnly":true},"creation":{"allOf":[{"$ref":"#/components/schemas/managedCMS.WebsiteTargetSpecCreation"}],"description":"Target specification of the current website creation, if exists","nullable":true,"readOnly":true},"domains":{"type":"array","description":"Domains targeted for the website: the ones already attached plus the ones being attached, excluding the ones being detached","nullable":true,"items":{"$ref":"#/components/schemas/managedCMS.Domain"},"readOnly":true},"import":{"allOf":[{"$ref":"#/components/schemas/managedCMS.WebsiteTargetSpecImport"}],"description":"Target specification of the current website import, if exists","nullable":true,"readOnly":true},"plannedUpdate":{"allOf":[{"$ref":"#/components/schemas/managedCMS.UpdateTargetSpec"}],"description":"Current state of the planned update on the website, if any","nullable":true,"readOnly":true},"restoreBackup":{"allOf":[{"$ref":"#/components/schemas/managedCMS.WebsiteTargetSpecRestoreBackup"}],"description":"Backup being restored on the website, if any","nullable":true,"readOnly":true}}},"managedCMS.WebsiteTargetSpecClone":{"type":"object","description":"Part of target specification of a website describing the clone it originates from","properties":{"sourceWebsiteId":{"type":"string","description":"Identifier of the website this one was cloned from","format":"uuid","readOnly":true}}},"managedCMS.WebsiteTargetSpecCreation":{"type":"object","description":"Part of target specification of a website describing current creation","properties":{"adminLogin":{"type":"string","description":"Login to set when creating the administrator user","readOnly":true},"cms":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CMSEnum"}],"description":"Which content management system to install","readOnly":true},"cmsSpecific":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CMSSpecific.WebsiteTargetSpecCreation"}],"description":"Parameters specific to the chosen content management system","nullable":true,"readOnly":true},"phpVersion":{"type":"string","description":"Which PHP version to use, latest by default. The set grows as new PHP releases are supported: retrieve the current one with GET /managedCMS/reference/supportedPHPVersions.","nullable":true,"readOnly":true}}},"managedCMS.WebsiteTargetSpecImport":{"type":"object","description":"Part of target specification of a website describing current import","properties":{"adminLogin":{"type":"string","description":"Login of the source website's admin interface","readOnly":true},"adminURL":{"type":"string","description":"URL of the source website's admin interface'","readOnly":true},"cms":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CMSEnum"}],"description":"Content management system of the source website","readOnly":true},"cmsSpecific":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CMSSpecific.WebsiteTargetSpecImport"}],"description":"Data specific to the website's content management system","nullable":true,"readOnly":true}}},"managedCMS.WebsiteTargetSpecRestoreBackup":{"type":"object","description":"Part of target specification of a website describing the backup being restored","properties":{"backupId":{"type":"string","description":"Identifier of the backup being restored on the website","format":"uuid","readOnly":true}}},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/managedCMS/resource/{serviceId}/website":{"get":{"operationId":"getAllManagedCmsWebsites","summary":"List websites","description":"Returns the websites of the service.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/managedCMS.Website"}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress","My sites@@@10"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/managedCMS/resource/{serviceId}/website\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/managedCMS/resource/{serviceId}/website\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"managedCMS:apiovh:website/get","required":true}],"x-response-identifier":"id","x-expanded-response":"ManagedCMSWebsite"},"post":{"operationId":"createManagedCmsWebsite","summary":"Create a website","description":"Creates a WordPress website, imports one from its admin URL and credentials, or clones a website of the same service. The admin login of a created website must be an email address. Creation is asynchronous: follow its task in currentTasks.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/managedCMS.WebsiteCreationBody"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/managedCMS.Website"}}}},"400":{"description":"Error 400 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::BadRequest::CreationAdminLoginMustBeEmail":{"value":{"class":"Client::BadRequest::CreationAdminLoginMustBeEmail","message":"The admin login must be an email address"}},"Client::BadRequest::IncompatibleArguments":{"value":{"class":"Client::BadRequest::IncompatibleArguments","message":"Some of the parameters you provided are incompatible with each other"}},"Client::BadRequest::InvalidImportAdminURL":{"value":{"class":"Client::BadRequest::InvalidImportAdminURL","message":"The URL of the source website's admin interface you provided is not a valid URL"}},"Client::BadRequest::InvalidPHPVersion":{"value":{"class":"Client::BadRequest::InvalidPHPVersion","message":"The PHP version you provided is not supported, retrieve the current list with GET /managedCMS/reference/supportedPHPVersions before retrying"}},"Client::BadRequest::WebsitesQuotaReached":{"value":{"class":"Client::BadRequest::WebsitesQuotaReached","message":"You reached the maximum quota of websites that you can create on this service, please upgrade or order an add-on before retrying"}},"Client::BadRequest::WrongServiceStatus":{"value":{"class":"Client::BadRequest::WrongServiceStatus","message":"The service is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress","My sites@@@30"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: managedCMS.WebsiteCreationBody\nresult = client.post(\"/v2/managedCMS/resource/{serviceId}/website\",\n\ttargetSpec = None, # Target specification of the website (type: managedCMS.WebsiteCreationTargetSpec)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: managedCMS.WebsiteCreationBody\n$result = $ovh->post(\"/v2/managedCMS/resource/{serviceId}/website\", array(\n\ttargetSpec => null, // Target specification of the website (type: managedCMS.WebsiteCreationTargetSpec)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"managedCMS:apiovh:website/create","required":true}]}},"/managedCMS/resource/{serviceId}/website/{websiteId}":{"delete":{"operationId":"deleteManagedCmsWebsite","summary":"Delete a website","description":"Permanently deletes the website, with its files and database.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"websiteId","description":"Website ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/managedCMS.Website"}}}},"400":{"description":"Error 400 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::BadRequest::WrongServiceStatus":{"value":{"class":"Client::BadRequest::WrongServiceStatus","message":"The service is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}},"Client::BadRequest::WrongWebsiteStatus":{"value":{"class":"Client::BadRequest::WrongWebsiteStatus","message":"The website is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::WebsiteNotFound":{"value":{"class":"Client::NotFound::WebsiteNotFound","message":"This website was not found"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress","My sites@@@90"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.delete(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->delete(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"managedCMS:apiovh:website/delete","required":true}]},"get":{"operationId":"getManagedCmsWebsite","summary":"Get a website","description":"Returns the CMS and PHP versions, domains, SFTP and database access, disk usage and planned update of the website.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"websiteId","description":"Website ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/managedCMS.Website"}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::WebsiteNotFound":{"value":{"class":"Client::NotFound::WebsiteNotFound","message":"This website was not found"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress","My sites@@@20"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"managedCMS:apiovh:website/get","required":true}],"x-response-identifier":"id"},"put":{"operationId":"editManagedCmsWebsite","summary":"Update a website","description":"Updates the domains, primary FQDN or planned update of the website. It can also flush its CDN, or reset its database, SFTP or PhpMyAdmin password.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"websiteId","description":"Website ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/managedCMS.WebsiteEditionBody"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/managedCMS.Website"}}}},"400":{"description":"Error 400 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::BadRequest::AutomaticBackupNotDeletable":{"value":{"class":"Client::BadRequest::AutomaticBackupNotDeletable","message":"Automatic backups cannot be deleted, only manual backups can"}},"Client::BadRequest::DiskQuotaReached":{"value":{"class":"Client::BadRequest::DiskQuotaReached","message":"There is not enough disk space left on the service to restore this backup, please free some space before retrying"}},"Client::BadRequest::IncompatibleArguments":{"value":{"class":"Client::BadRequest::IncompatibleArguments","message":"Some of the parameters you provided are incompatible with each other"}},"Client::BadRequest::WrongBackupStatus":{"value":{"class":"Client::BadRequest::WrongBackupStatus","message":"The backup is not in a suitable status to perform this action, please wait for its creation to be finished before retrying"}},"Client::BadRequest::WrongServiceStatus":{"value":{"class":"Client::BadRequest::WrongServiceStatus","message":"The service is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}},"Client::BadRequest::WrongWebsiteStatus":{"value":{"class":"Client::BadRequest::WrongWebsiteStatus","message":"The website is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::BackupNotFound":{"value":{"class":"Client::NotFound::BackupNotFound","message":"This backup was not found"}},"Client::NotFound::WebsiteNotFound":{"value":{"class":"Client::NotFound::WebsiteNotFound","message":"This website was not found"}}}}}},"409":{"description":"Error 409 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::Conflict::CurrentTaskAlreadyExists":{"value":{"class":"Client::Conflict::CurrentTaskAlreadyExists","message":"A similar task is already running, please wait for it to be finished before retrying"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress","My sites@@@100"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: managedCMS.WebsiteEditionBody\nresult = client.put(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}\",\n\ttargetSpec = None, # Target specification to edit a website (type: managedCMS.WebsiteEditionTargetSpec)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: managedCMS.WebsiteEditionBody\n$result = $ovh->put(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}\", array(\n\ttargetSpec => null, // Target specification to edit a website (type: managedCMS.WebsiteEditionTargetSpec)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"managedCMS:apiovh:website/edit","required":true}]}},"/managedCMS/resource/{serviceId}/website/{websiteId}/applicationPassword":{"post":{"operationId":"createManagedCmsWebsiteApplicationPassword","summary":"Create an application password on the website","description":"Each call creates a new application password on the existing administrator user. The previous ones stay valid. They can be revoked from the CMS administration.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"websiteId","description":"Website ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/managedCMS.ApplicationPassword"}}}},"400":{"description":"Error 400 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::BadRequest::WrongServiceStatus":{"value":{"class":"Client::BadRequest::WrongServiceStatus","message":"The service is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}},"Client::BadRequest::WrongWebsiteStatus":{"value":{"class":"Client::BadRequest::WrongWebsiteStatus","message":"The website is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::WebsiteNotFound":{"value":{"class":"Client::NotFound::WebsiteNotFound","message":"This website was not found"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress","My sites@@@100"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}/applicationPassword\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}/applicationPassword\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"managedCMS:apiovh:website/applicationPassword/create","required":true}]}},"/managedCMS/resource/{serviceId}/website/{websiteId}/backupDownload":{"get":{"operationId":"getManagedCmsWebsiteBackupDownload","summary":"Get the download links of a backup of a website","description":"Returns a backup of the website with its download links, one for its files and one for its database, available once the backup is READY. Backups are listed in the current state of the website.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"query","name":"backupId","description":"Identifier of the backup, as listed in the current state of the website","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"websiteId","description":"Website ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/managedCMS.Backup"}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::BackupNotFound":{"value":{"class":"Client::NotFound::BackupNotFound","message":"This backup was not found"}},"Client::NotFound::WebsiteNotFound":{"value":{"class":"Client::NotFound::WebsiteNotFound","message":"This website was not found"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress","My sites@@@85"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}/backupDownload\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}/backupDownload\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"managedCMS:apiovh:website/backup/download","required":true}]}},"/managedCMS/resource/{serviceId}/website/{websiteId}/flushCDN":{"post":{"operationId":"flushManagedCmsWebsiteCdn","summary":"Flush the website CDN","description":"Flushes the CDN cache of the website and returns the task.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"websiteId","description":"Website ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common.CurrentTask"}}}},"400":{"description":"Error 400 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::BadRequest::WrongServiceStatus":{"value":{"class":"Client::BadRequest::WrongServiceStatus","message":"The service is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}},"Client::BadRequest::WrongWebsiteStatus":{"value":{"class":"Client::BadRequest::WrongWebsiteStatus","message":"The website is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::WebsiteNotFound":{"value":{"class":"Client::NotFound::WebsiteNotFound","message":"This website was not found"}}}}}},"409":{"description":"Error 409 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::Conflict::CurrentTaskAlreadyExists":{"value":{"class":"Client::Conflict::CurrentTaskAlreadyExists","message":"A similar task is already running, please wait for it to be finished before retrying"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress","My sites@@@40"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}/flushCDN\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}/flushCDN\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"managedCMS:apiovh:website/cdn/flush","required":true}]}},"/managedCMS/resource/{serviceId}/website/{websiteId}/resetDatabasePassword":{"post":{"operationId":"resetManagedCmsWebsiteDatabasePassword","summary":"Reset the database password","description":"Generates a new database password and sets it on the database and in the WordPress configuration. Use it to revoke a leaked password: the new password is not returned.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"websiteId","description":"Website ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common.CurrentTask"}}}},"400":{"description":"Error 400 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::BadRequest::WrongServiceStatus":{"value":{"class":"Client::BadRequest::WrongServiceStatus","message":"The service is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}},"Client::BadRequest::WrongWebsiteStatus":{"value":{"class":"Client::BadRequest::WrongWebsiteStatus","message":"The website is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::WebsiteNotFound":{"value":{"class":"Client::NotFound::WebsiteNotFound","message":"This website was not found"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress","My sites@@@50"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}/resetDatabasePassword\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}/resetDatabasePassword\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"managedCMS:apiovh:website/database/resetPassword","required":true}]}},"/managedCMS/resource/{serviceId}/website/{websiteId}/resetPhpMyAdminPassword":{"post":{"operationId":"resetManagedCmsWebsitePhpMyAdminPassword","summary":"Reset the PhpMyAdmin password","description":"Sets a new PhpMyAdmin password for the website and returns the task. The password needs 9 to 30 alphanumeric characters, with at least one uppercase letter, one lowercase letter and one digit.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"websiteId","description":"Website ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/managedCMS.ResetTechnicalPasswordBody"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common.CurrentTask"}}}},"400":{"description":"Error 400 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::BadRequest::WrongServiceStatus":{"value":{"class":"Client::BadRequest::WrongServiceStatus","message":"The service is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}},"Client::BadRequest::WrongWebsiteStatus":{"value":{"class":"Client::BadRequest::WrongWebsiteStatus","message":"The website is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::WebsiteNotFound":{"value":{"class":"Client::NotFound::WebsiteNotFound","message":"This website was not found"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress","My sites@@@60"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: managedCMS.ResetTechnicalPasswordBody\nresult = client.post(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}/resetPhpMyAdminPassword\",\n\tpassword = None, # New password (9-30 alphanumeric characters, with at least one uppercase, one lowercase and one digit) (type: string)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: managedCMS.ResetTechnicalPasswordBody\n$result = $ovh->post(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}/resetPhpMyAdminPassword\", array(\n\tpassword => null, // New password (9-30 alphanumeric characters, with at least one uppercase, one lowercase and one digit) (type: string)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"managedCMS:apiovh:website/phpMyAdmin/resetPassword","required":true}]}},"/managedCMS/resource/{serviceId}/website/{websiteId}/resetSftpPassword":{"post":{"operationId":"resetManagedCmsWebsiteSftpPassword","summary":"Reset the SFTP password","description":"Sets a new SFTP password for the website and returns the task. The password needs 9 to 30 alphanumeric characters, with at least one uppercase letter, one lowercase letter and one digit.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"websiteId","description":"Website ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/managedCMS.ResetTechnicalPasswordBody"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common.CurrentTask"}}}},"400":{"description":"Error 400 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::BadRequest::WrongServiceStatus":{"value":{"class":"Client::BadRequest::WrongServiceStatus","message":"The service is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}},"Client::BadRequest::WrongWebsiteStatus":{"value":{"class":"Client::BadRequest::WrongWebsiteStatus","message":"The website is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::WebsiteNotFound":{"value":{"class":"Client::NotFound::WebsiteNotFound","message":"This website was not found"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress","My sites@@@70"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: managedCMS.ResetTechnicalPasswordBody\nresult = client.post(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}/resetSftpPassword\",\n\tpassword = None, # New password (9-30 alphanumeric characters, with at least one uppercase, one lowercase and one digit) (type: string)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: managedCMS.ResetTechnicalPasswordBody\n$result = $ovh->post(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}/resetSftpPassword\", array(\n\tpassword => null, // New password (9-30 alphanumeric characters, with at least one uppercase, one lowercase and one digit) (type: string)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"managedCMS:apiovh:website/sftp/resetPassword","required":true}]}},"/managedCMS/resource/{serviceId}/website/{websiteId}/snapshot":{"post":{"operationId":"createManagedCmsWebsiteSnapshot","summary":"Export a website backup","description":"Exports a full backup of the website, files and database, and returns the task. The download links are sent by email.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"websiteId","description":"Website ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common.CurrentTask"}}}},"400":{"description":"Error 400 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::BadRequest::WrongServiceStatus":{"value":{"class":"Client::BadRequest::WrongServiceStatus","message":"The service is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}},"Client::BadRequest::WrongWebsiteStatus":{"value":{"class":"Client::BadRequest::WrongWebsiteStatus","message":"The website is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::WebsiteNotFound":{"value":{"class":"Client::NotFound::WebsiteNotFound","message":"This website was not found"}}}}}},"409":{"description":"Error 409 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::Conflict::CurrentTaskAlreadyExists":{"value":{"class":"Client::Conflict::CurrentTaskAlreadyExists","message":"A similar task is already running, please wait for it to be finished before retrying"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress","My sites@@@80"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}/snapshot\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/v2/managedCMS/resource/{serviceId}/website/{websiteId}/snapshot\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"managedCMS:apiovh:website/snapshot/create","required":true}]}}}}
